/* Copyright (c) 2017, The Linux Foundation. All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 and
 * only version 2 as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

#ifndef _CAM_SENSOR_ADAPTIVE_MIPI_GC08A3_H_
#define _CAM_SENSOR_ADAPTIVE_MIPI_GC08A3_H_

#include "cam_sensor_dev.h"

/*
SET A : Full Remosaic/RAW(4:3)	9248x6936	15fps
SET B : 2x2 Binning(4:3)	    4624x3468	30fps
SET B : 2x2 Binning(4:3)	    4624x2604	30fps
SET B : 2x2 Binning(4:3)        4000x3000   30fps
SET B : FASTAEC                 2304x1728   120fps
SET C : HFR              	    2000x1128	240fps
*/

enum {
    CAM_GC08A3_SET_A_Full_339p2_MHZ = 0,
    CAM_GC08A3_SET_A_Full_342p4_MHZ = 1,
	CAM_GC08A3_SET_A_Full_345p6_MHZ = 2,
};

struct cam_sensor_i2c_reg_array MIPI_A_339p2_MHZ_REG_ARRAY[] = {
    {0x0336, 0x6a, 0x00, 0x00}
};

struct cam_sensor_i2c_reg_array MIPI_A_342p4_MHZ_REG_ARRAY[] = {
    {0x0336, 0x6b, 0x00, 0x00}
};

struct cam_sensor_i2c_reg_array MIPI_A_345p6_MHZ_REG_ARRAY[] = {
    {0x0336, 0x6c, 0x00, 0x00}
};

static const struct cam_sensor_i2c_reg_setting sensor_gc08a3_setfile_A_339p2_mhz[] = {
    { MIPI_A_339p2_MHZ_REG_ARRAY, ARRAY_SIZE(MIPI_A_339p2_MHZ_REG_ARRAY),
      CAMERA_SENSOR_I2C_TYPE_WORD, CAMERA_SENSOR_I2C_TYPE_BYTE, 0 }
};

static const struct cam_sensor_i2c_reg_setting sensor_gc08a3_setfile_A_342p4_mhz[] = {
    { MIPI_A_342p4_MHZ_REG_ARRAY, ARRAY_SIZE(MIPI_A_342p4_MHZ_REG_ARRAY),
      CAMERA_SENSOR_I2C_TYPE_WORD, CAMERA_SENSOR_I2C_TYPE_BYTE, 0 }
};

static const struct cam_sensor_i2c_reg_setting sensor_gc08a3_setfile_A_345p6_mhz[] = {
    { MIPI_A_345p6_MHZ_REG_ARRAY, ARRAY_SIZE(MIPI_A_345p6_MHZ_REG_ARRAY),
      CAMERA_SENSOR_I2C_TYPE_WORD, CAMERA_SENSOR_I2C_TYPE_BYTE, 0 }
};

static const struct cam_mipi_setting sensor_gc08a3_setfile_A_mipi_setting[] = {
    { "339.2 Mhz",
      sensor_gc08a3_setfile_A_339p2_mhz, ARRAY_SIZE(sensor_gc08a3_setfile_A_339p2_mhz) },
    { "342.4 Mhz",
      sensor_gc08a3_setfile_A_342p4_mhz, ARRAY_SIZE(sensor_gc08a3_setfile_A_342p4_mhz) },
	{ "345.6 Mhz",
      sensor_gc08a3_setfile_A_345p6_mhz, ARRAY_SIZE(sensor_gc08a3_setfile_A_345p6_mhz) },
};

static const struct cam_mipi_channel sensor_gc08a3_setfile_A_channel[] = {
{ CAM_RAT_BAND(CAM_RAT_1_GSM, CAM_BAND_001_GSM_GSM850), 0, 0, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_1_GSM, CAM_BAND_002_GSM_EGSM900), 0, 0, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_1_GSM, CAM_BAND_003_GSM_DCS1800), 0, 0, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_1_GSM, CAM_BAND_004_GSM_PCS1900), 0, 0, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_011_WCDMA_WB01), 10562, 10564, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_011_WCDMA_WB01), 10565, 10577, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_011_WCDMA_WB01), 10578, 10613, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_011_WCDMA_WB01), 10614, 10649, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_011_WCDMA_WB01), 10650, 10663, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_011_WCDMA_WB01), 10664, 10699, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_011_WCDMA_WB01), 10700, 10735, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_011_WCDMA_WB01), 10736, 10750, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_011_WCDMA_WB01), 10751, 10785, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_011_WCDMA_WB01), 10786, 10820, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_011_WCDMA_WB01), 10821, 10835, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_011_WCDMA_WB01), 10836, 10838, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_012_WCDMA_WB02), 9662, 9714, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_012_WCDMA_WB02), 9715, 9720, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_012_WCDMA_WB02), 9721, 9757, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_012_WCDMA_WB02), 9758, 9799, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_012_WCDMA_WB02), 9800, 9806, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_012_WCDMA_WB02), 9807, 9843, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_012_WCDMA_WB02), 9844, 9884, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_012_WCDMA_WB02), 9885, 9892, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_012_WCDMA_WB02), 9893, 9938, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_013_WCDMA_WB03), 1162, 1236, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_013_WCDMA_WB03), 1237, 1245, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_013_WCDMA_WB03), 1246, 1283, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_013_WCDMA_WB03), 1284, 1330, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_013_WCDMA_WB03), 1331, 1369, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_013_WCDMA_WB03), 1370, 1415, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_013_WCDMA_WB03), 1416, 1417, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_013_WCDMA_WB03), 1418, 1454, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_013_WCDMA_WB03), 1455, 1500, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_013_WCDMA_WB03), 1501, 1503, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_013_WCDMA_WB03), 1504, 1513, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_014_WCDMA_WB04), 1537, 1539, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_014_WCDMA_WB04), 1540, 1552, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_014_WCDMA_WB04), 1553, 1588, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_014_WCDMA_WB04), 1589, 1624, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_014_WCDMA_WB04), 1625, 1638, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_014_WCDMA_WB04), 1639, 1674, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_014_WCDMA_WB04), 1675, 1710, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_014_WCDMA_WB04), 1711, 1725, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_014_WCDMA_WB04), 1726, 1738, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_015_WCDMA_WB05), 4357, 4362, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_015_WCDMA_WB05), 4363, 4388, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_015_WCDMA_WB05), 4389, 4428, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_015_WCDMA_WB05), 4429, 4447, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_015_WCDMA_WB05), 4448, 4458, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_016_WCDMA_WB06), 4387, 4413, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_017_WCDMA_WB07), 2237, 2282, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_017_WCDMA_WB07), 2283, 2306, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_017_WCDMA_WB07), 2307, 2330, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_017_WCDMA_WB07), 2331, 2368, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_017_WCDMA_WB07), 2369, 2391, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_017_WCDMA_WB07), 2392, 2416, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_017_WCDMA_WB07), 2417, 2455, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_017_WCDMA_WB07), 2456, 2476, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_017_WCDMA_WB07), 2477, 2501, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_017_WCDMA_WB07), 2502, 2540, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_017_WCDMA_WB07), 2541, 2560, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_017_WCDMA_WB07), 2561, 2563, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_018_WCDMA_WB08), 2937, 2986, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_018_WCDMA_WB08), 2987, 3011, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_018_WCDMA_WB08), 3012, 3030, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_018_WCDMA_WB08), 3031, 3071, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_018_WCDMA_WB08), 3072, 3088, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_029_WCDMA_WB19), 712, 763, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_091_LTE_LB01), 0, 28, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_091_LTE_LB01), 29, 55, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_091_LTE_LB01), 56, 174, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_091_LTE_LB01), 175, 199, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_091_LTE_LB01), 200, 227, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_091_LTE_LB01), 228, 298, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_091_LTE_LB01), 299, 369, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_091_LTE_LB01), 370, 399, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_091_LTE_LB01), 400, 424, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_091_LTE_LB01), 425, 540, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_091_LTE_LB01), 541, 571, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_091_LTE_LB01), 572, 599, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_092_LTE_LB02), 600, 728, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_092_LTE_LB02), 729, 741, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_092_LTE_LB02), 742, 878, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_092_LTE_LB02), 879, 898, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_092_LTE_LB02), 899, 912, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_092_LTE_LB02), 913, 986, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_092_LTE_LB02), 987, 1068, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_092_LTE_LB02), 1069, 1199, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_093_LTE_LB03), 1200, 1391, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_093_LTE_LB03), 1392, 1467, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_093_LTE_LB03), 1468, 1561, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_093_LTE_LB03), 1562, 1638, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_093_LTE_LB03), 1639, 1730, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_093_LTE_LB03), 1731, 1735, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_093_LTE_LB03), 1736, 1880, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_093_LTE_LB03), 1881, 1900, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_093_LTE_LB03), 1901, 1906, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_093_LTE_LB03), 1907, 1949, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_094_LTE_LB04), 1950, 1978, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_094_LTE_LB04), 1979, 2005, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_094_LTE_LB04), 2006, 2124, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_094_LTE_LB04), 2125, 2149, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_094_LTE_LB04), 2150, 2177, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_094_LTE_LB04), 2178, 2248, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_094_LTE_LB04), 2249, 2319, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_094_LTE_LB04), 2320, 2349, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_094_LTE_LB04), 2350, 2399, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_095_LTE_LB05), 2400, 2485, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_095_LTE_LB05), 2486, 2567, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_095_LTE_LB05), 2568, 2604, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_095_LTE_LB05), 2605, 2649, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_097_LTE_LB07), 2750, 2762, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_097_LTE_LB07), 2763, 2865, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_097_LTE_LB07), 2866, 2912, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_097_LTE_LB07), 2913, 2961, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_097_LTE_LB07), 2962, 3010, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_097_LTE_LB07), 3011, 3082, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_097_LTE_LB07), 3083, 3160, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_097_LTE_LB07), 3161, 3209, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_097_LTE_LB07), 3210, 3252, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_097_LTE_LB07), 3253, 3302, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_097_LTE_LB07), 3303, 3381, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_097_LTE_LB07), 3382, 3449, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_098_LTE_LB08), 3450, 3488, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_098_LTE_LB08), 3489, 3550, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_098_LTE_LB08), 3551, 3640, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_098_LTE_LB08), 3641, 3792, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_098_LTE_LB08), 3793, 3799, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_102_LTE_LB12), 5010, 5081, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_102_LTE_LB12), 5082, 5132, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_102_LTE_LB12), 5133, 5179, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_103_LTE_LB13), 5180, 5253, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_103_LTE_LB13), 5254, 5279, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_104_LTE_LB14), 5280, 5353, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_104_LTE_LB14), 5354, 5379, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_107_LTE_LB17), 5730, 5751, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_107_LTE_LB17), 5752, 5802, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_107_LTE_LB17), 5803, 5849, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_108_LTE_LB18), 5850, 5935, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_108_LTE_LB18), 5936, 5974, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_108_LTE_LB18), 5975, 5999, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_109_LTE_LB19), 6000, 6107, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_109_LTE_LB19), 6108, 6144, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_109_LTE_LB19), 6145, 6149, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_110_LTE_LB20), 6150, 6237, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_110_LTE_LB20), 6238, 6286, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_110_LTE_LB20), 6287, 6333, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_110_LTE_LB20), 6334, 6409, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_110_LTE_LB20), 6410, 6449, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_111_LTE_LB21), 6450, 6486, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_111_LTE_LB21), 6487, 6599, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_115_LTE_LB25), 8040, 8168, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_115_LTE_LB25), 8169, 8181, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_115_LTE_LB25), 8182, 8255, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_115_LTE_LB25), 8256, 8338, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_115_LTE_LB25), 8339, 8352, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_115_LTE_LB25), 8353, 8426, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_115_LTE_LB25), 8427, 8508, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_115_LTE_LB25), 8509, 8524, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_115_LTE_LB25), 8525, 8597, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_115_LTE_LB25), 8598, 8677, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_115_LTE_LB25), 8678, 8689, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_116_LTE_LB26), 8690, 8875, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_116_LTE_LB26), 8876, 8957, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_116_LTE_LB26), 8958, 8994, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_116_LTE_LB26), 8995, 9039, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_118_LTE_LB28), 9210, 9270, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_118_LTE_LB28), 9271, 9333, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_118_LTE_LB28), 9334, 9399, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_118_LTE_LB28), 9400, 9470, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_118_LTE_LB28), 9471, 9505, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_118_LTE_LB28), 9506, 9553, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_118_LTE_LB28), 9554, 9627, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_118_LTE_LB28), 9628, 9659, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_119_LTE_LB29), 9660, 9680, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_119_LTE_LB29), 9681, 9731, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_119_LTE_LB29), 9732, 9769, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_120_LTE_LB30), 9770, 9833, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_120_LTE_LB30), 9834, 9869, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_122_LTE_LB32), 9920, 10019, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_122_LTE_LB32), 10020, 10054, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_122_LTE_LB32), 10055, 10121, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_122_LTE_LB32), 10122, 10192, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_122_LTE_LB32), 10193, 10225, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_122_LTE_LB32), 10226, 10292, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_122_LTE_LB32), 10293, 10359, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_124_LTE_LB34), 36200, 36207, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_124_LTE_LB34), 36208, 36226, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_124_LTE_LB34), 36227, 36349, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_128_LTE_LB38), 37750, 37779, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_128_LTE_LB38), 37780, 37849, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_128_LTE_LB38), 37850, 37899, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_128_LTE_LB38), 37900, 37950, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_128_LTE_LB38), 37951, 38021, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_128_LTE_LB38), 38022, 38070, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_128_LTE_LB38), 38071, 38120, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_128_LTE_LB38), 38121, 38193, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_128_LTE_LB38), 38194, 38242, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_128_LTE_LB38), 38243, 38249, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_129_LTE_LB39), 38250, 38370, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_129_LTE_LB39), 38371, 38378, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_129_LTE_LB39), 38379, 38451, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_129_LTE_LB39), 38452, 38539, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_129_LTE_LB39), 38540, 38549, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_129_LTE_LB39), 38550, 38649, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_130_LTE_LB40), 38650, 38697, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_130_LTE_LB40), 38698, 38760, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_130_LTE_LB40), 38761, 38823, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_130_LTE_LB40), 38824, 38869, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_130_LTE_LB40), 38870, 38931, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_130_LTE_LB40), 38932, 38994, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_130_LTE_LB40), 38995, 39041, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_130_LTE_LB40), 39042, 39102, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_130_LTE_LB40), 39103, 39164, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_130_LTE_LB40), 39165, 39213, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_130_LTE_LB40), 39214, 39274, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_130_LTE_LB40), 39275, 39334, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_130_LTE_LB40), 39335, 39385, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_130_LTE_LB40), 39386, 39445, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_130_LTE_LB40), 39446, 39505, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_130_LTE_LB40), 39506, 39557, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_130_LTE_LB40), 39558, 39616, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_130_LTE_LB40), 39617, 39649, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_131_LTE_LB41), 39650, 39683, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_131_LTE_LB41), 39684, 39738, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_131_LTE_LB41), 39739, 39801, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_131_LTE_LB41), 39802, 39854, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_131_LTE_LB41), 39855, 39908, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_131_LTE_LB41), 39909, 39973, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_131_LTE_LB41), 39974, 40026, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_131_LTE_LB41), 40027, 40078, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_131_LTE_LB41), 40079, 40145, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_131_LTE_LB41), 40146, 40197, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_131_LTE_LB41), 40198, 40249, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_131_LTE_LB41), 40250, 40317, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_131_LTE_LB41), 40318, 40368, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_131_LTE_LB41), 40369, 40419, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_131_LTE_LB41), 40420, 40489, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_131_LTE_LB41), 40490, 40539, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_131_LTE_LB41), 40540, 40590, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_131_LTE_LB41), 40591, 40661, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_131_LTE_LB41), 40662, 40710, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_131_LTE_LB41), 40711, 40760, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_131_LTE_LB41), 40761, 40833, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_131_LTE_LB41), 40834, 40882, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_131_LTE_LB41), 40883, 40930, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_131_LTE_LB41), 40931, 41005, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_131_LTE_LB41), 41006, 41052, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_131_LTE_LB41), 41053, 41101, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_131_LTE_LB41), 41102, 41177, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_131_LTE_LB41), 41178, 41222, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_131_LTE_LB41), 41223, 41271, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_131_LTE_LB41), 41272, 41349, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_131_LTE_LB41), 41350, 41392, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_131_LTE_LB41), 41393, 41442, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_131_LTE_LB41), 41443, 41521, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_131_LTE_LB41), 41522, 41561, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_131_LTE_LB41), 41562, 41589, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_132_LTE_LB42), 41590, 41655, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_132_LTE_LB42), 41656, 41731, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_132_LTE_LB42), 41732, 41754, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_132_LTE_LB42), 41755, 41827, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_132_LTE_LB42), 41828, 41904, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_132_LTE_LB42), 41905, 41924, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_132_LTE_LB42), 41925, 41998, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_132_LTE_LB42), 41999, 42076, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_132_LTE_LB42), 42077, 42093, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_132_LTE_LB42), 42094, 42169, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_132_LTE_LB42), 42170, 42247, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_132_LTE_LB42), 42248, 42263, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_132_LTE_LB42), 42264, 42340, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_132_LTE_LB42), 42341, 42418, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_132_LTE_LB42), 42419, 42433, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_132_LTE_LB42), 42434, 42511, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_132_LTE_LB42), 42512, 42589, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_132_LTE_LB42), 42590, 42602, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_132_LTE_LB42), 42603, 42683, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_132_LTE_LB42), 42684, 42761, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_132_LTE_LB42), 42762, 42772, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_132_LTE_LB42), 42773, 42854, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_132_LTE_LB42), 42855, 42932, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_132_LTE_LB42), 42933, 42941, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_132_LTE_LB42), 42942, 43025, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_132_LTE_LB42), 43026, 43103, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_132_LTE_LB42), 43104, 43111, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_132_LTE_LB42), 43112, 43196, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_132_LTE_LB42), 43197, 43274, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_132_LTE_LB42), 43275, 43281, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_132_LTE_LB42), 43282, 43367, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_132_LTE_LB42), 43368, 43445, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_132_LTE_LB42), 43446, 43450, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_132_LTE_LB42), 43451, 43589, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_138_LTE_LB48), 55240, 55253, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_138_LTE_LB48), 55254, 55261, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_138_LTE_LB48), 55262, 55346, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_138_LTE_LB48), 55347, 55424, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_138_LTE_LB48), 55425, 55431, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_138_LTE_LB48), 55432, 55517, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_138_LTE_LB48), 55518, 55595, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_138_LTE_LB48), 55596, 55600, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_138_LTE_LB48), 55601, 55689, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_138_LTE_LB48), 55690, 55767, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_138_LTE_LB48), 55768, 55770, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_138_LTE_LB48), 55771, 55860, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_138_LTE_LB48), 55861, 55938, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_138_LTE_LB48), 55939, 55939, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_138_LTE_LB48), 55940, 56031, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_138_LTE_LB48), 56032, 56109, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_138_LTE_LB48), 56110, 56129, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_138_LTE_LB48), 56130, 56203, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_138_LTE_LB48), 56204, 56279, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_138_LTE_LB48), 56280, 56298, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_138_LTE_LB48), 56299, 56375, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_138_LTE_LB48), 56376, 56468, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_138_LTE_LB48), 56469, 56546, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_138_LTE_LB48), 56547, 56637, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_138_LTE_LB48), 56638, 56739, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_156_LTE_LB66), 66436, 66464, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_156_LTE_LB66), 66465, 66491, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_156_LTE_LB66), 66492, 66610, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_156_LTE_LB66), 66611, 66635, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_156_LTE_LB66), 66636, 66663, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_156_LTE_LB66), 66664, 66734, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_156_LTE_LB66), 66735, 66805, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_156_LTE_LB66), 66806, 66835, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_156_LTE_LB66), 66836, 66860, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_156_LTE_LB66), 66861, 66976, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_156_LTE_LB66), 66977, 67007, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_156_LTE_LB66), 67008, 67076, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_156_LTE_LB66), 67077, 67146, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_156_LTE_LB66), 67147, 67179, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_156_LTE_LB66), 67180, 67248, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_156_LTE_LB66), 67249, 67316, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_156_LTE_LB66), 67317, 67335, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_161_LTE_LB71), 68586, 68635, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_161_LTE_LB71), 68636, 68693, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_161_LTE_LB71), 68694, 68750, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_161_LTE_LB71), 68751, 68805, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_161_LTE_LB71), 68806, 68865, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_161_LTE_LB71), 68866, 68935, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_4_TDSCDMA, CAM_BAND_051_TDSCDMA_TD1), 0, 0, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_4_TDSCDMA, CAM_BAND_052_TDSCDMA_TD2), 0, 0, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_4_TDSCDMA, CAM_BAND_053_TDSCDMA_TD3), 0, 0, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_4_TDSCDMA, CAM_BAND_054_TDSCDMA_TD4), 0, 0, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_4_TDSCDMA, CAM_BAND_055_TDSCDMA_TD5), 0, 0, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_4_TDSCDMA, CAM_BAND_056_TDSCDMA_TD6), 0, 0, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_5_CDMA, CAM_BAND_061_CDMA_BC0), 0, 0, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_5_CDMA, CAM_BAND_062_CDMA_BC1), 0, 0, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_5_CDMA, CAM_BAND_071_CDMA_BC10), 0, 0, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_7_NR5G, CAM_BAND_260_NR5G_N005), 173800, 174480, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_7_NR5G, CAM_BAND_260_NR5G_N005), 174481, 175500, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_7_NR5G, CAM_BAND_260_NR5G_N005), 175501, 177140, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_7_NR5G, CAM_BAND_260_NR5G_N005), 177141, 177880, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_7_NR5G, CAM_BAND_260_NR5G_N005), 177881, 178780, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_7_NR5G, CAM_BAND_263_NR5G_N008), 185000, 185040, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_7_NR5G, CAM_BAND_263_NR5G_N008), 185041, 185750, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_7_NR5G, CAM_BAND_263_NR5G_N008), 185751, 187420, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_7_NR5G, CAM_BAND_263_NR5G_N008), 187421, 188440, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_7_NR5G, CAM_BAND_263_NR5G_N008), 188441, 189180, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_7_NR5G, CAM_BAND_263_NR5G_N008), 189181, 190840, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_7_NR5G, CAM_BAND_263_NR5G_N008), 190841, 191840, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_7_NR5G, CAM_BAND_263_NR5G_N008), 191841, 191980, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_7_NR5G, CAM_BAND_267_NR5G_N012), 145800, 147220, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_7_NR5G, CAM_BAND_267_NR5G_N012), 147221, 148230, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_7_NR5G, CAM_BAND_267_NR5G_N012), 148231, 149200, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_7_NR5G, CAM_BAND_275_NR5G_N020), 158200, 159940, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_7_NR5G, CAM_BAND_275_NR5G_N020), 159941, 160920, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_7_NR5G, CAM_BAND_275_NR5G_N020), 160921, 161860, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_7_NR5G, CAM_BAND_275_NR5G_N020), 161861, 163380, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_7_NR5G, CAM_BAND_275_NR5G_N020), 163381, 164180, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_7_NR5G, CAM_BAND_283_NR5G_N028), 151600, 153060, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_7_NR5G, CAM_BAND_283_NR5G_N028), 153061, 154060, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_7_NR5G, CAM_BAND_283_NR5G_N028), 154061, 155040, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_7_NR5G, CAM_BAND_283_NR5G_N028), 155041, 156500, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_7_NR5G, CAM_BAND_283_NR5G_N028), 156501, 157490, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_7_NR5G, CAM_BAND_283_NR5G_N028), 157491, 158460, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_7_NR5G, CAM_BAND_283_NR5G_N028), 158461, 159940, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_7_NR5G, CAM_BAND_283_NR5G_N028), 159941, 160580, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_7_NR5G, CAM_BAND_326_NR5G_N071), 123400, 124380, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_7_NR5G, CAM_BAND_326_NR5G_N071), 124381, 125540, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_7_NR5G, CAM_BAND_326_NR5G_N071), 125541, 126680, CAM_GC08A3_SET_A_Full_345p6_MHZ },
{ CAM_RAT_BAND(CAM_RAT_7_NR5G, CAM_BAND_326_NR5G_N071), 126681, 127780, CAM_GC08A3_SET_A_Full_339p2_MHZ },
{ CAM_RAT_BAND(CAM_RAT_7_NR5G, CAM_BAND_326_NR5G_N071), 127781, 128980, CAM_GC08A3_SET_A_Full_342p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_7_NR5G, CAM_BAND_326_NR5G_N071), 128981, 130380, CAM_GC08A3_SET_A_Full_345p6_MHZ },
};

static const struct cam_mipi_sensor_mode sensor_gc08a3_setfile_A_mipi_sensor_mode[] = {
    {
        sensor_gc08a3_setfile_A_channel,	ARRAY_SIZE(sensor_gc08a3_setfile_A_channel),
        sensor_gc08a3_setfile_A_mipi_setting,	ARRAY_SIZE(sensor_gc08a3_setfile_A_mipi_setting)
    },
};
#endif /* _CAM_SENSOR_ADAPTIVE_MIPI_GC08A3_H_ */
