/* Copyright (c) 2017, The Linux Foundation. All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 and
 * only version 2 as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

#ifndef _CAM_SENSOR_ADAPTIVE_MIPI_S5KGW1P_H_
#define _CAM_SENSOR_ADAPTIVE_MIPI_S5KGW1P_H_

#include "cam_sensor_dev.h"

/*
SET A : Full (64Mp 15FPS)
SET B : Binning (16MP 30FPS)
SET C : Fast AE, HFR (120fps, 240fps)
*/

enum {
    CAM_GW1P_SET_A_Full_1664_MHZ = 0,
    CAM_GW1P_SET_A_Full_2124p8_MHZ = 1,
};

struct cam_sensor_i2c_reg_array MIPI_A_1664_MHZ_REG_ARRAY[] = {
    {0x0310, 0x0104, 0x00, 0x00},
};

struct cam_sensor_i2c_reg_array MIPI_A_2124p8_MHZ_REG_ARRAY[] = {
    {0x0310, 0x014C, 0x00, 0x00},
};

static const struct cam_sensor_i2c_reg_setting sensor_s5kgw1p_setfile_A_1664_mhz[] = {
    { MIPI_A_1664_MHZ_REG_ARRAY, ARRAY_SIZE(MIPI_A_1664_MHZ_REG_ARRAY),
      CAMERA_SENSOR_I2C_TYPE_WORD, CAMERA_SENSOR_I2C_TYPE_WORD, 0 }
};

static const struct cam_sensor_i2c_reg_setting sensor_s5kgw1p_setfile_A_2124p8_mhz[] = {
    { MIPI_A_2124p8_MHZ_REG_ARRAY, ARRAY_SIZE(MIPI_A_2124p8_MHZ_REG_ARRAY),
      CAMERA_SENSOR_I2C_TYPE_WORD, CAMERA_SENSOR_I2C_TYPE_WORD, 0 }
};

static const struct cam_mipi_setting sensor_s5kgw1p_setfile_A_mipi_setting[] = {
    { "1664 Mhz",
      sensor_s5kgw1p_setfile_A_1664_mhz, ARRAY_SIZE(sensor_s5kgw1p_setfile_A_1664_mhz) },
    { "2124.8 Mhz",
      sensor_s5kgw1p_setfile_A_2124p8_mhz, ARRAY_SIZE(sensor_s5kgw1p_setfile_A_2124p8_mhz) },
};

static const struct cam_mipi_channel sensor_s5kgw1p_setfile_A_channel[] = {
{ CAM_RAT_BAND(CAM_RAT_1_GSM, CAM_BAND_001_GSM_GSM850), 0, 0, CAM_GW1P_SET_A_Full_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_1_GSM, CAM_BAND_002_GSM_EGSM900), 0, 0, CAM_GW1P_SET_A_Full_2124p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_1_GSM, CAM_BAND_003_GSM_DCS1800), 0, 0, CAM_GW1P_SET_A_Full_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_1_GSM, CAM_BAND_004_GSM_PCS1900), 0, 0, CAM_GW1P_SET_A_Full_2124p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_011_WCDMA_WB01), 10562, 10662, CAM_GW1P_SET_A_Full_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_011_WCDMA_WB01), 10663, 10781, CAM_GW1P_SET_A_Full_2124p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_011_WCDMA_WB01), 10782, 10838, CAM_GW1P_SET_A_Full_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_012_WCDMA_WB02), 9662, 9671, CAM_GW1P_SET_A_Full_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_012_WCDMA_WB02), 9672, 9722, CAM_GW1P_SET_A_Full_2124p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_012_WCDMA_WB02), 9723, 9938, CAM_GW1P_SET_A_Full_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_013_WCDMA_WB03), 1162, 1173, CAM_GW1P_SET_A_Full_2124p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_013_WCDMA_WB03), 1174, 1452, CAM_GW1P_SET_A_Full_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_013_WCDMA_WB03), 1453, 1513, CAM_GW1P_SET_A_Full_2124p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_014_WCDMA_WB04), 1537, 1637, CAM_GW1P_SET_A_Full_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_014_WCDMA_WB04), 1638, 1738, CAM_GW1P_SET_A_Full_2124p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_015_WCDMA_WB05), 4357, 4458, CAM_GW1P_SET_A_Full_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_017_WCDMA_WB07), 2237, 2263, CAM_GW1P_SET_A_Full_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_017_WCDMA_WB07), 2264, 2333, CAM_GW1P_SET_A_Full_2124p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_017_WCDMA_WB07), 2334, 2563, CAM_GW1P_SET_A_Full_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_018_WCDMA_WB08), 2937, 3019, CAM_GW1P_SET_A_Full_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_018_WCDMA_WB08), 3020, 3088, CAM_GW1P_SET_A_Full_2124p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_091_LTE_LB01), 0, 224, CAM_GW1P_SET_A_Full_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_091_LTE_LB01), 225, 463, CAM_GW1P_SET_A_Full_2124p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_091_LTE_LB01), 464, 599, CAM_GW1P_SET_A_Full_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_092_LTE_LB02), 600, 643, CAM_GW1P_SET_A_Full_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_092_LTE_LB02), 644, 745, CAM_GW1P_SET_A_Full_2124p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_092_LTE_LB02), 746, 1199, CAM_GW1P_SET_A_Full_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_093_LTE_LB03), 1200, 1246, CAM_GW1P_SET_A_Full_2124p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_093_LTE_LB03), 1247, 1805, CAM_GW1P_SET_A_Full_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_093_LTE_LB03), 1806, 1939, CAM_GW1P_SET_A_Full_2124p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_093_LTE_LB03), 1940, 1949, CAM_GW1P_SET_A_Full_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_094_LTE_LB04), 1950, 2174, CAM_GW1P_SET_A_Full_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_094_LTE_LB04), 2175, 2399, CAM_GW1P_SET_A_Full_2124p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_095_LTE_LB05), 2400, 2649, CAM_GW1P_SET_A_Full_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_097_LTE_LB07), 2750, 2768, CAM_GW1P_SET_A_Full_2124p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_097_LTE_LB07), 2769, 2826, CAM_GW1P_SET_A_Full_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_097_LTE_LB07), 2827, 2966, CAM_GW1P_SET_A_Full_2124p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_097_LTE_LB07), 2967, 3449, CAM_GW1P_SET_A_Full_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_098_LTE_LB08), 3450, 3638, CAM_GW1P_SET_A_Full_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_098_LTE_LB08), 3639, 3778, CAM_GW1P_SET_A_Full_2124p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_098_LTE_LB08), 3779, 3799, CAM_GW1P_SET_A_Full_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_102_LTE_LB12), 5010, 5179, CAM_GW1P_SET_A_Full_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_103_LTE_LB13), 5180, 5279, CAM_GW1P_SET_A_Full_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_104_LTE_LB14), 5280, 5379, CAM_GW1P_SET_A_Full_2124p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_107_LTE_LB17), 5730, 5849, CAM_GW1P_SET_A_Full_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_108_LTE_LB18), 5850, 5999, CAM_GW1P_SET_A_Full_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_109_LTE_LB19), 6000, 6149, CAM_GW1P_SET_A_Full_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_110_LTE_LB20), 6150, 6449, CAM_GW1P_SET_A_Full_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_111_LTE_LB21), 6450, 6599, CAM_GW1P_SET_A_Full_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_115_LTE_LB25), 8040, 8083, CAM_GW1P_SET_A_Full_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_115_LTE_LB25), 8084, 8185, CAM_GW1P_SET_A_Full_2124p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_115_LTE_LB25), 8186, 8689, CAM_GW1P_SET_A_Full_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_116_LTE_LB26), 8690, 9288, CAM_GW1P_SET_A_Full_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_118_LTE_LB28), 9289, 9326, CAM_GW1P_SET_A_Full_2124p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_118_LTE_LB28), 9327, 9659, CAM_GW1P_SET_A_Full_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_119_LTE_LB29), 9660, 9691, CAM_GW1P_SET_A_Full_2124p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_119_LTE_LB29), 9692, 9769, CAM_GW1P_SET_A_Full_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_120_LTE_LB30), 9770, 9773, CAM_GW1P_SET_A_Full_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_120_LTE_LB30), 9774, 9869, CAM_GW1P_SET_A_Full_2124p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_122_LTE_LB32), 9920, 10029, CAM_GW1P_SET_A_Full_2124p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_122_LTE_LB32), 10030, 10359, CAM_GW1P_SET_A_Full_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_124_LTE_LB34), 36200, 36349, CAM_GW1P_SET_A_Full_2124p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_128_LTE_LB38), 37750, 38128, CAM_GW1P_SET_A_Full_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_128_LTE_LB38), 38129, 38249, CAM_GW1P_SET_A_Full_2124p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_129_LTE_LB39), 38250, 38397, CAM_GW1P_SET_A_Full_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_129_LTE_LB39), 38398, 38537, CAM_GW1P_SET_A_Full_2124p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_129_LTE_LB39), 38538, 38649, CAM_GW1P_SET_A_Full_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_130_LTE_LB40), 38650, 39153, CAM_GW1P_SET_A_Full_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_130_LTE_LB40), 39154, 39293, CAM_GW1P_SET_A_Full_2124p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_130_LTE_LB40), 39294, 39351, CAM_GW1P_SET_A_Full_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_130_LTE_LB40), 39352, 39487, CAM_GW1P_SET_A_Full_2124p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_130_LTE_LB40), 39488, 39649, CAM_GW1P_SET_A_Full_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_131_LTE_LB41), 39650, 39719, CAM_GW1P_SET_A_Full_2124p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_131_LTE_LB41), 39720, 40273, CAM_GW1P_SET_A_Full_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_131_LTE_LB41), 40274, 40354, CAM_GW1P_SET_A_Full_2124p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_131_LTE_LB41), 40355, 40768, CAM_GW1P_SET_A_Full_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_131_LTE_LB41), 40769, 40908, CAM_GW1P_SET_A_Full_2124p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_131_LTE_LB41), 40909, 40966, CAM_GW1P_SET_A_Full_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_131_LTE_LB41), 40967, 41106, CAM_GW1P_SET_A_Full_2124p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_131_LTE_LB41), 41107, 41589, CAM_GW1P_SET_A_Full_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_132_LTE_LB42), 41590, 41633, CAM_GW1P_SET_A_Full_2124p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_132_LTE_LB42), 41634, 41988, CAM_GW1P_SET_A_Full_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_132_LTE_LB42), 41989, 42088, CAM_GW1P_SET_A_Full_2124p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_132_LTE_LB42), 42089, 42188, CAM_GW1P_SET_A_Full_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_132_LTE_LB42), 42189, 42326, CAM_GW1P_SET_A_Full_2124p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_132_LTE_LB42), 42327, 42880, CAM_GW1P_SET_A_Full_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_132_LTE_LB42), 42881, 42977, CAM_GW1P_SET_A_Full_2124p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_132_LTE_LB42), 42978, 43177, CAM_GW1P_SET_A_Full_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_132_LTE_LB42), 43178, 43317, CAM_GW1P_SET_A_Full_2124p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_132_LTE_LB42), 43318, 43573, CAM_GW1P_SET_A_Full_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_132_LTE_LB42), 43574, 43589, CAM_GW1P_SET_A_Full_2124p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_138_LTE_LB48), 55240, 55327, CAM_GW1P_SET_A_Full_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_138_LTE_LB48), 55328, 55467, CAM_GW1P_SET_A_Full_2124p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_138_LTE_LB48), 55468, 55723, CAM_GW1P_SET_A_Full_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_138_LTE_LB48), 55724, 55863, CAM_GW1P_SET_A_Full_2124p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_138_LTE_LB48), 55864, 56416, CAM_GW1P_SET_A_Full_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_138_LTE_LB48), 56417, 56655, CAM_GW1P_SET_A_Full_2124p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_138_LTE_LB48), 56656, 56739, CAM_GW1P_SET_A_Full_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_156_LTE_LB66), 66436, 66660, CAM_GW1P_SET_A_Full_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_156_LTE_LB66), 66661, 66899, CAM_GW1P_SET_A_Full_2124p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_156_LTE_LB66), 66900, 67335, CAM_GW1P_SET_A_Full_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_161_LTE_LB71), 68586, 68725, CAM_GW1P_SET_A_Full_2124p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_161_LTE_LB71), 68726, 68935, CAM_GW1P_SET_A_Full_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_4_TDSCDMA, CAM_BAND_051_TDSCDMA_TD1), 0, 0, CAM_GW1P_SET_A_Full_2124p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_4_TDSCDMA, CAM_BAND_052_TDSCDMA_TD2), 0, 0, CAM_GW1P_SET_A_Full_2124p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_4_TDSCDMA, CAM_BAND_053_TDSCDMA_TD3), 0, 0, CAM_GW1P_SET_A_Full_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_4_TDSCDMA, CAM_BAND_054_TDSCDMA_TD4), 0, 0, CAM_GW1P_SET_A_Full_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_4_TDSCDMA, CAM_BAND_055_TDSCDMA_TD5), 0, 0, CAM_GW1P_SET_A_Full_2124p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_4_TDSCDMA, CAM_BAND_056_TDSCDMA_TD6), 0, 0, CAM_GW1P_SET_A_Full_2124p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_5_CDMA, CAM_BAND_061_CDMA_BC0), 0, 0, CAM_GW1P_SET_A_Full_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_5_CDMA, CAM_BAND_062_CDMA_BC1), 0, 0, CAM_GW1P_SET_A_Full_2124p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_5_CDMA, CAM_BAND_071_CDMA_BC10), 0, 0, CAM_GW1P_SET_A_Full_1664_MHZ },
};

static const struct cam_mipi_sensor_mode sensor_s5kgw1p_setfile_A_mipi_sensor_mode[] = {
    {
        sensor_s5kgw1p_setfile_A_channel,	ARRAY_SIZE(sensor_s5kgw1p_setfile_A_channel),
        sensor_s5kgw1p_setfile_A_mipi_setting,	ARRAY_SIZE(sensor_s5kgw1p_setfile_A_mipi_setting)
    },
};

enum {
    CAM_GW1P_SET_B_Tetra_1664_MHZ = 0,
    CAM_GW1P_SET_B_Tetra_1548p8_MHZ = 1,
};

struct cam_sensor_i2c_reg_array MIPI_B_1664_MHZ_REG_ARRAY[] = {
    {0x0310, 0x0104, 0x00, 0x00},
};

struct cam_sensor_i2c_reg_array MIPI_B_1548p8_MHZ_REG_ARRAY[] = {
    {0x0310, 0x00F2, 0x00, 0x00},
};

static const struct cam_sensor_i2c_reg_setting sensor_s5kgw1p_setfile_B_1664_mhz[] = {
    { MIPI_B_1664_MHZ_REG_ARRAY, ARRAY_SIZE(MIPI_B_1664_MHZ_REG_ARRAY),
      CAMERA_SENSOR_I2C_TYPE_WORD, CAMERA_SENSOR_I2C_TYPE_WORD, 0 }
};

static const struct cam_sensor_i2c_reg_setting sensor_s5kgw1p_setfile_B_1548p8_mhz[] = {
    { MIPI_B_1548p8_MHZ_REG_ARRAY, ARRAY_SIZE(MIPI_B_1548p8_MHZ_REG_ARRAY),
      CAMERA_SENSOR_I2C_TYPE_WORD, CAMERA_SENSOR_I2C_TYPE_WORD, 0 }
};

static const struct cam_mipi_setting sensor_s5kgw1p_setfile_B_mipi_setting[] = {
    { "1664 Mhz",
      sensor_s5kgw1p_setfile_B_1664_mhz, ARRAY_SIZE(sensor_s5kgw1p_setfile_B_1664_mhz) },
    { "1548.8 Mhz",
      sensor_s5kgw1p_setfile_B_1548p8_mhz, ARRAY_SIZE(sensor_s5kgw1p_setfile_B_1548p8_mhz) },
};

static const struct cam_mipi_channel sensor_s5kgw1p_setfile_B_channel[] = {
{ CAM_RAT_BAND(CAM_RAT_1_GSM, CAM_BAND_001_GSM_GSM850), 0, 0, CAM_GW1P_SET_B_Tetra_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_1_GSM, CAM_BAND_002_GSM_EGSM900), 0, 0, CAM_GW1P_SET_B_Tetra_1548p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_1_GSM, CAM_BAND_003_GSM_DCS1800), 0, 0, CAM_GW1P_SET_B_Tetra_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_1_GSM, CAM_BAND_004_GSM_PCS1900), 0, 0, CAM_GW1P_SET_B_Tetra_1548p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_011_WCDMA_WB01), 10562, 10672, CAM_GW1P_SET_B_Tetra_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_011_WCDMA_WB01), 10673, 10781, CAM_GW1P_SET_B_Tetra_1548p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_011_WCDMA_WB01), 10782, 10838, CAM_GW1P_SET_B_Tetra_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_012_WCDMA_WB02), 9662, 9693, CAM_GW1P_SET_B_Tetra_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_012_WCDMA_WB02), 9694, 9741, CAM_GW1P_SET_B_Tetra_1548p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_012_WCDMA_WB02), 9742, 9938, CAM_GW1P_SET_B_Tetra_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_013_WCDMA_WB03), 1162, 1513, CAM_GW1P_SET_B_Tetra_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_014_WCDMA_WB04), 1537, 1647, CAM_GW1P_SET_B_Tetra_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_014_WCDMA_WB04), 1648, 1738, CAM_GW1P_SET_B_Tetra_1548p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_015_WCDMA_WB05), 4357, 4458, CAM_GW1P_SET_B_Tetra_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_017_WCDMA_WB07), 2237, 2263, CAM_GW1P_SET_B_Tetra_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_017_WCDMA_WB07), 2264, 2326, CAM_GW1P_SET_B_Tetra_1548p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_017_WCDMA_WB07), 2327, 2563, CAM_GW1P_SET_B_Tetra_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_018_WCDMA_WB08), 2937, 3019, CAM_GW1P_SET_B_Tetra_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_018_WCDMA_WB08), 3020, 3088, CAM_GW1P_SET_B_Tetra_1548p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_091_LTE_LB01), 0, 245, CAM_GW1P_SET_B_Tetra_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_091_LTE_LB01), 246, 463, CAM_GW1P_SET_B_Tetra_1548p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_091_LTE_LB01), 464, 599, CAM_GW1P_SET_B_Tetra_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_092_LTE_LB02), 600, 686, CAM_GW1P_SET_B_Tetra_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_092_LTE_LB02), 687, 783, CAM_GW1P_SET_B_Tetra_1548p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_092_LTE_LB02), 784, 1199, CAM_GW1P_SET_B_Tetra_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_093_LTE_LB03), 1200, 1869, CAM_GW1P_SET_B_Tetra_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_093_LTE_LB03), 1870, 1949, CAM_GW1P_SET_B_Tetra_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_094_LTE_LB04), 1950, 2195, CAM_GW1P_SET_B_Tetra_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_094_LTE_LB04), 2196, 2399, CAM_GW1P_SET_B_Tetra_1548p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_095_LTE_LB05), 2400, 2649, CAM_GW1P_SET_B_Tetra_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_097_LTE_LB07), 2750, 2768, CAM_GW1P_SET_B_Tetra_1548p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_097_LTE_LB07), 2769, 2826, CAM_GW1P_SET_B_Tetra_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_097_LTE_LB07), 2827, 2952, CAM_GW1P_SET_B_Tetra_1548p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_097_LTE_LB07), 2953, 3449, CAM_GW1P_SET_B_Tetra_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_098_LTE_LB08), 3450, 3638, CAM_GW1P_SET_B_Tetra_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_098_LTE_LB08), 3639, 3778, CAM_GW1P_SET_B_Tetra_1548p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_098_LTE_LB08), 3779, 3799, CAM_GW1P_SET_B_Tetra_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_102_LTE_LB12), 5010, 5179, CAM_GW1P_SET_B_Tetra_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_103_LTE_LB13), 5180, 5276, CAM_GW1P_SET_B_Tetra_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_103_LTE_LB13), 5277, 5279, CAM_GW1P_SET_B_Tetra_1548p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_104_LTE_LB14), 5280, 5379, CAM_GW1P_SET_B_Tetra_1548p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_107_LTE_LB17), 5730, 5849, CAM_GW1P_SET_B_Tetra_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_108_LTE_LB18), 5850, 5999, CAM_GW1P_SET_B_Tetra_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_109_LTE_LB19), 6000, 6149, CAM_GW1P_SET_B_Tetra_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_110_LTE_LB20), 6150, 6449, CAM_GW1P_SET_B_Tetra_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_111_LTE_LB21), 6450, 6599, CAM_GW1P_SET_B_Tetra_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_115_LTE_LB25), 8040, 8126, CAM_GW1P_SET_B_Tetra_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_115_LTE_LB25), 8127, 8223, CAM_GW1P_SET_B_Tetra_1548p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_115_LTE_LB25), 8224, 8689, CAM_GW1P_SET_B_Tetra_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_116_LTE_LB26), 8690, 9039, CAM_GW1P_SET_B_Tetra_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_118_LTE_LB28), 9210, 9315, CAM_GW1P_SET_B_Tetra_1548p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_118_LTE_LB28), 9316, 9659, CAM_GW1P_SET_B_Tetra_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_119_LTE_LB29), 9660, 9691, CAM_GW1P_SET_B_Tetra_1548p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_119_LTE_LB29), 9692, 9769, CAM_GW1P_SET_B_Tetra_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_120_LTE_LB30), 9770, 9773, CAM_GW1P_SET_B_Tetra_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_120_LTE_LB30), 9774, 9869, CAM_GW1P_SET_B_Tetra_1548p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_122_LTE_LB32), 9920, 10029, CAM_GW1P_SET_B_Tetra_1548p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_122_LTE_LB32), 10030, 10359, CAM_GW1P_SET_B_Tetra_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_124_LTE_LB34), 36200, 36349, CAM_GW1P_SET_B_Tetra_1548p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_128_LTE_LB38), 37750, 37773, CAM_GW1P_SET_B_Tetra_1548p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_128_LTE_LB38), 37774, 38128, CAM_GW1P_SET_B_Tetra_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_128_LTE_LB38), 38129, 38249, CAM_GW1P_SET_B_Tetra_1548p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_129_LTE_LB39), 38250, 38397, CAM_GW1P_SET_B_Tetra_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_129_LTE_LB39), 38398, 38537, CAM_GW1P_SET_B_Tetra_1548p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_129_LTE_LB39), 38538, 38649, CAM_GW1P_SET_B_Tetra_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_130_LTE_LB40), 38650, 39153, CAM_GW1P_SET_B_Tetra_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_130_LTE_LB40), 39154, 39293, CAM_GW1P_SET_B_Tetra_1548p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_130_LTE_LB40), 39294, 39351, CAM_GW1P_SET_B_Tetra_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_130_LTE_LB40), 39352, 39474, CAM_GW1P_SET_B_Tetra_1548p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_130_LTE_LB40), 39475, 39649, CAM_GW1P_SET_B_Tetra_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_131_LTE_LB41), 39650, 39719, CAM_GW1P_SET_B_Tetra_1548p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_131_LTE_LB41), 39720, 40273, CAM_GW1P_SET_B_Tetra_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_131_LTE_LB41), 40274, 40413, CAM_GW1P_SET_B_Tetra_1548p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_131_LTE_LB41), 40414, 40768, CAM_GW1P_SET_B_Tetra_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_131_LTE_LB41), 40769, 40908, CAM_GW1P_SET_B_Tetra_1548p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_131_LTE_LB41), 40909, 40966, CAM_GW1P_SET_B_Tetra_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_131_LTE_LB41), 40967, 41092, CAM_GW1P_SET_B_Tetra_1548p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_131_LTE_LB41), 41093, 41589, CAM_GW1P_SET_B_Tetra_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_132_LTE_LB42), 41590, 41633, CAM_GW1P_SET_B_Tetra_1548p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_132_LTE_LB42), 41634, 41988, CAM_GW1P_SET_B_Tetra_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_132_LTE_LB42), 41989, 42128, CAM_GW1P_SET_B_Tetra_1548p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_132_LTE_LB42), 42129, 42186, CAM_GW1P_SET_B_Tetra_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_132_LTE_LB42), 42187, 42326, CAM_GW1P_SET_B_Tetra_1548p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_132_LTE_LB42), 42327, 42880, CAM_GW1P_SET_B_Tetra_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_132_LTE_LB42), 42881, 42971, CAM_GW1P_SET_B_Tetra_1548p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_132_LTE_LB42), 42972, 43177, CAM_GW1P_SET_B_Tetra_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_132_LTE_LB42), 43178, 43317, CAM_GW1P_SET_B_Tetra_1548p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_132_LTE_LB42), 43318, 43573, CAM_GW1P_SET_B_Tetra_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_132_LTE_LB42), 43574, 43589, CAM_GW1P_SET_B_Tetra_1548p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_138_LTE_LB48), 55240, 55327, CAM_GW1P_SET_B_Tetra_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_138_LTE_LB48), 55328, 55467, CAM_GW1P_SET_B_Tetra_1548p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_138_LTE_LB48), 55468, 55723, CAM_GW1P_SET_B_Tetra_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_138_LTE_LB48), 55724, 55836, CAM_GW1P_SET_B_Tetra_1548p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_138_LTE_LB48), 55837, 56416, CAM_GW1P_SET_B_Tetra_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_138_LTE_LB48), 56417, 56524, CAM_GW1P_SET_B_Tetra_1548p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_138_LTE_LB48), 56525, 56655, CAM_GW1P_SET_B_Tetra_1548p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_138_LTE_LB48), 56656, 56739, CAM_GW1P_SET_B_Tetra_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_156_LTE_LB66), 66436, 66681, CAM_GW1P_SET_B_Tetra_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_156_LTE_LB66), 66682, 66899, CAM_GW1P_SET_B_Tetra_1548p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_156_LTE_LB66), 66900, 67335, CAM_GW1P_SET_B_Tetra_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_161_LTE_LB71), 68586, 68725, CAM_GW1P_SET_B_Tetra_1548p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_161_LTE_LB71), 68726, 68935, CAM_GW1P_SET_B_Tetra_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_4_TDSCDMA, CAM_BAND_051_TDSCDMA_TD1), 0, 0, CAM_GW1P_SET_B_Tetra_1548p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_4_TDSCDMA, CAM_BAND_052_TDSCDMA_TD2), 0, 0, CAM_GW1P_SET_B_Tetra_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_4_TDSCDMA, CAM_BAND_053_TDSCDMA_TD3), 0, 0, CAM_GW1P_SET_B_Tetra_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_4_TDSCDMA, CAM_BAND_054_TDSCDMA_TD4), 0, 0, CAM_GW1P_SET_B_Tetra_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_4_TDSCDMA, CAM_BAND_055_TDSCDMA_TD5), 0, 0, CAM_GW1P_SET_B_Tetra_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_4_TDSCDMA, CAM_BAND_056_TDSCDMA_TD6), 0, 0, CAM_GW1P_SET_B_Tetra_1548p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_5_CDMA, CAM_BAND_061_CDMA_BC0), 0, 0, CAM_GW1P_SET_B_Tetra_1664_MHZ },
{ CAM_RAT_BAND(CAM_RAT_5_CDMA, CAM_BAND_062_CDMA_BC1), 0, 0, CAM_GW1P_SET_B_Tetra_1548p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_5_CDMA, CAM_BAND_071_CDMA_BC10), 0, 0, CAM_GW1P_SET_B_Tetra_1664_MHZ },
};

static const struct cam_mipi_sensor_mode sensor_s5kgw1p_setfile_B_mipi_sensor_mode[] = {
    {
        sensor_s5kgw1p_setfile_B_channel,	ARRAY_SIZE(sensor_s5kgw1p_setfile_B_channel),
        sensor_s5kgw1p_setfile_B_mipi_setting,	ARRAY_SIZE(sensor_s5kgw1p_setfile_B_mipi_setting)
    },
};

enum {
    CAM_GW1P_SET_C_Tetra_HiSpeed_2054p4_MHZ = 0,
    CAM_GW1P_SET_C_Tetra_HiSpeed_2124p8_MHZ = 1,
};

struct cam_sensor_i2c_reg_array MIPI_C_2124p8_MHZ_REG_ARRAY[] = {
    {0x0310, 0x014C, 0x00, 0x00},
};

struct cam_sensor_i2c_reg_array MIPI_C_2054p4_MHZ_REG_ARRAY[] = {
    {0x0310, 0x0141, 0x00, 0x00},
};

static const struct cam_sensor_i2c_reg_setting sensor_s5kgw1p_setfile_C_2124p8_mhz[] = {
    { MIPI_C_2124p8_MHZ_REG_ARRAY, ARRAY_SIZE(MIPI_C_2124p8_MHZ_REG_ARRAY),
      CAMERA_SENSOR_I2C_TYPE_WORD, CAMERA_SENSOR_I2C_TYPE_WORD, 0 }
};

static const struct cam_sensor_i2c_reg_setting sensor_s5kgw1p_setfile_C_2054p4_mhz[] = {
    { MIPI_C_2054p4_MHZ_REG_ARRAY, ARRAY_SIZE(MIPI_C_2054p4_MHZ_REG_ARRAY),
      CAMERA_SENSOR_I2C_TYPE_WORD, CAMERA_SENSOR_I2C_TYPE_WORD, 0 }
};

static const struct cam_mipi_setting sensor_s5kgw1p_setfile_C_mipi_setting[] = {
    { "2054.4 Mhz",
      sensor_s5kgw1p_setfile_C_2054p4_mhz, ARRAY_SIZE(sensor_s5kgw1p_setfile_C_2054p4_mhz) },
    { "2124.8 Mhz",
      sensor_s5kgw1p_setfile_C_2124p8_mhz, ARRAY_SIZE(sensor_s5kgw1p_setfile_C_2124p8_mhz) },
};

static const struct cam_mipi_channel sensor_s5kgw1p_setfile_C_channel[] = {
{ CAM_RAT_BAND(CAM_RAT_1_GSM, CAM_BAND_001_GSM_GSM850), 0, 0, CAM_GW1P_SET_C_Tetra_HiSpeed_2124p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_1_GSM, CAM_BAND_002_GSM_EGSM900), 0, 0, CAM_GW1P_SET_C_Tetra_HiSpeed_2054p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_1_GSM, CAM_BAND_003_GSM_DCS1800), 0, 0, CAM_GW1P_SET_C_Tetra_HiSpeed_2054p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_1_GSM, CAM_BAND_004_GSM_PCS1900), 0, 0, CAM_GW1P_SET_C_Tetra_HiSpeed_2054p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_011_WCDMA_WB01), 10562, 10664, CAM_GW1P_SET_C_Tetra_HiSpeed_2054p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_011_WCDMA_WB01), 10665, 10734, CAM_GW1P_SET_C_Tetra_HiSpeed_2124p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_011_WCDMA_WB01), 10735, 10838, CAM_GW1P_SET_C_Tetra_HiSpeed_2054p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_012_WCDMA_WB02), 9662, 9808, CAM_GW1P_SET_C_Tetra_HiSpeed_2054p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_012_WCDMA_WB02), 9809, 9854, CAM_GW1P_SET_C_Tetra_HiSpeed_2124p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_012_WCDMA_WB02), 9855, 9938, CAM_GW1P_SET_C_Tetra_HiSpeed_2054p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_013_WCDMA_WB03), 1162, 1505, CAM_GW1P_SET_C_Tetra_HiSpeed_2054p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_013_WCDMA_WB03), 1506, 1513, CAM_GW1P_SET_C_Tetra_HiSpeed_2124p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_014_WCDMA_WB04), 1537, 1639, CAM_GW1P_SET_C_Tetra_HiSpeed_2054p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_014_WCDMA_WB04), 1640, 1709, CAM_GW1P_SET_C_Tetra_HiSpeed_2124p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_014_WCDMA_WB04), 1710, 1738, CAM_GW1P_SET_C_Tetra_HiSpeed_2054p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_015_WCDMA_WB05), 4357, 4367, CAM_GW1P_SET_C_Tetra_HiSpeed_2054p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_015_WCDMA_WB05), 4368, 4414, CAM_GW1P_SET_C_Tetra_HiSpeed_2124p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_015_WCDMA_WB05), 4415, 4458, CAM_GW1P_SET_C_Tetra_HiSpeed_2054p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_017_WCDMA_WB07), 2237, 2296, CAM_GW1P_SET_C_Tetra_HiSpeed_2054p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_017_WCDMA_WB07), 2297, 2398, CAM_GW1P_SET_C_Tetra_HiSpeed_2124p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_017_WCDMA_WB07), 2399, 2563, CAM_GW1P_SET_C_Tetra_HiSpeed_2054p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_018_WCDMA_WB08), 2937, 2972, CAM_GW1P_SET_C_Tetra_HiSpeed_2054p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_018_WCDMA_WB08), 2973, 3042, CAM_GW1P_SET_C_Tetra_HiSpeed_2124p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_2_WCDMA, CAM_BAND_018_WCDMA_WB08), 3043, 3088, CAM_GW1P_SET_C_Tetra_HiSpeed_2054p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_091_LTE_LB01), 0, 229, CAM_GW1P_SET_C_Tetra_HiSpeed_2054p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_091_LTE_LB01), 230, 369, CAM_GW1P_SET_C_Tetra_HiSpeed_2124p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_091_LTE_LB01), 370, 599, CAM_GW1P_SET_C_Tetra_HiSpeed_2054p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_092_LTE_LB02), 600, 917, CAM_GW1P_SET_C_Tetra_HiSpeed_2054p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_092_LTE_LB02), 918, 1009, CAM_GW1P_SET_C_Tetra_HiSpeed_2124p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_092_LTE_LB02), 1010, 1199, CAM_GW1P_SET_C_Tetra_HiSpeed_2054p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_093_LTE_LB03), 1200, 1911, CAM_GW1P_SET_C_Tetra_HiSpeed_2054p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_093_LTE_LB03), 1912, 1949, CAM_GW1P_SET_C_Tetra_HiSpeed_2124p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_094_LTE_LB04), 1950, 2179, CAM_GW1P_SET_C_Tetra_HiSpeed_2054p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_094_LTE_LB04), 2180, 2319, CAM_GW1P_SET_C_Tetra_HiSpeed_2124p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_094_LTE_LB04), 2320, 2399, CAM_GW1P_SET_C_Tetra_HiSpeed_2054p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_095_LTE_LB05), 2400, 2444, CAM_GW1P_SET_C_Tetra_HiSpeed_2054p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_095_LTE_LB05), 2445, 2539, CAM_GW1P_SET_C_Tetra_HiSpeed_2124p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_095_LTE_LB05), 2540, 2649, CAM_GW1P_SET_C_Tetra_HiSpeed_2054p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_097_LTE_LB07), 2750, 2893, CAM_GW1P_SET_C_Tetra_HiSpeed_2054p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_097_LTE_LB07), 2894, 3097, CAM_GW1P_SET_C_Tetra_HiSpeed_2124p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_097_LTE_LB07), 3098, 3449, CAM_GW1P_SET_C_Tetra_HiSpeed_2054p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_098_LTE_LB08), 3450, 3545, CAM_GW1P_SET_C_Tetra_HiSpeed_2054p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_098_LTE_LB08), 3546, 3685, CAM_GW1P_SET_C_Tetra_HiSpeed_2124p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_098_LTE_LB08), 3686, 3799, CAM_GW1P_SET_C_Tetra_HiSpeed_2054p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_102_LTE_LB12), 5010, 5127, CAM_GW1P_SET_C_Tetra_HiSpeed_2124p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_102_LTE_LB12), 5128, 5179, CAM_GW1P_SET_C_Tetra_HiSpeed_2054p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_103_LTE_LB13), 5180, 5279, CAM_GW1P_SET_C_Tetra_HiSpeed_2054p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_104_LTE_LB14), 5280, 5346, CAM_GW1P_SET_C_Tetra_HiSpeed_2054p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_104_LTE_LB14), 5347, 5379, CAM_GW1P_SET_C_Tetra_HiSpeed_2124p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_107_LTE_LB17), 5730, 5797, CAM_GW1P_SET_C_Tetra_HiSpeed_2124p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_107_LTE_LB17), 5798, 5849, CAM_GW1P_SET_C_Tetra_HiSpeed_2054p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_108_LTE_LB18), 5850, 5879, CAM_GW1P_SET_C_Tetra_HiSpeed_2124p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_108_LTE_LB18), 5880, 5984, CAM_GW1P_SET_C_Tetra_HiSpeed_2054p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_108_LTE_LB18), 5985, 5999, CAM_GW1P_SET_C_Tetra_HiSpeed_2124p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_109_LTE_LB19), 6000, 6079, CAM_GW1P_SET_C_Tetra_HiSpeed_2124p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_109_LTE_LB19), 6080, 6149, CAM_GW1P_SET_C_Tetra_HiSpeed_2054p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_110_LTE_LB20), 6150, 6449, CAM_GW1P_SET_C_Tetra_HiSpeed_2054p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_111_LTE_LB21), 6450, 6599, CAM_GW1P_SET_C_Tetra_HiSpeed_2054p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_115_LTE_LB25), 8040, 8357, CAM_GW1P_SET_C_Tetra_HiSpeed_2054p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_115_LTE_LB25), 8358, 8449, CAM_GW1P_SET_C_Tetra_HiSpeed_2124p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_115_LTE_LB25), 8450, 8689, CAM_GW1P_SET_C_Tetra_HiSpeed_2054p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_116_LTE_LB26), 8690, 8729, CAM_GW1P_SET_C_Tetra_HiSpeed_2124p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_116_LTE_LB26), 8730, 8834, CAM_GW1P_SET_C_Tetra_HiSpeed_2054p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_116_LTE_LB26), 8835, 8929, CAM_GW1P_SET_C_Tetra_HiSpeed_2124p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_116_LTE_LB26), 8930, 9039, CAM_GW1P_SET_C_Tetra_HiSpeed_2054p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_118_LTE_LB28), 9210, 9276, CAM_GW1P_SET_C_Tetra_HiSpeed_2054p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_118_LTE_LB28), 9277, 9403, CAM_GW1P_SET_C_Tetra_HiSpeed_2124p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_118_LTE_LB28), 9404, 9659, CAM_GW1P_SET_C_Tetra_HiSpeed_2054p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_119_LTE_LB29), 9660, 9757, CAM_GW1P_SET_C_Tetra_HiSpeed_2054p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_119_LTE_LB29), 9758, 9769, CAM_GW1P_SET_C_Tetra_HiSpeed_2124p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_120_LTE_LB30), 9770, 9818, CAM_GW1P_SET_C_Tetra_HiSpeed_2124p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_120_LTE_LB30), 9819, 9869, CAM_GW1P_SET_C_Tetra_HiSpeed_2054p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_122_LTE_LB32), 9920, 10144, CAM_GW1P_SET_C_Tetra_HiSpeed_2124p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_122_LTE_LB32), 10145, 10359, CAM_GW1P_SET_C_Tetra_HiSpeed_2054p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_124_LTE_LB34), 36200, 36349, CAM_GW1P_SET_C_Tetra_HiSpeed_2054p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_128_LTE_LB38), 37750, 38249, CAM_GW1P_SET_C_Tetra_HiSpeed_2054p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_129_LTE_LB39), 38250, 38351, CAM_GW1P_SET_C_Tetra_HiSpeed_2124p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_129_LTE_LB39), 38352, 38456, CAM_GW1P_SET_C_Tetra_HiSpeed_2054p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_129_LTE_LB39), 38457, 38596, CAM_GW1P_SET_C_Tetra_HiSpeed_2124p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_129_LTE_LB39), 38597, 38649, CAM_GW1P_SET_C_Tetra_HiSpeed_2054p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_130_LTE_LB40), 38650, 38715, CAM_GW1P_SET_C_Tetra_HiSpeed_2054p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_130_LTE_LB40), 38716, 38831, CAM_GW1P_SET_C_Tetra_HiSpeed_2124p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_130_LTE_LB40), 38832, 39058, CAM_GW1P_SET_C_Tetra_HiSpeed_2054p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_130_LTE_LB40), 39059, 39198, CAM_GW1P_SET_C_Tetra_HiSpeed_2124p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_130_LTE_LB40), 39199, 39585, CAM_GW1P_SET_C_Tetra_HiSpeed_2054p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_130_LTE_LB40), 39586, 39649, CAM_GW1P_SET_C_Tetra_HiSpeed_2124p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_131_LTE_LB41), 39650, 39706, CAM_GW1P_SET_C_Tetra_HiSpeed_2124p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_131_LTE_LB41), 39707, 40369, CAM_GW1P_SET_C_Tetra_HiSpeed_2054p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_131_LTE_LB41), 40370, 41033, CAM_GW1P_SET_C_Tetra_HiSpeed_2054p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_131_LTE_LB41), 41034, 41237, CAM_GW1P_SET_C_Tetra_HiSpeed_2124p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_131_LTE_LB41), 41238, 41589, CAM_GW1P_SET_C_Tetra_HiSpeed_2054p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_132_LTE_LB42), 41590, 41760, CAM_GW1P_SET_C_Tetra_HiSpeed_2054p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_132_LTE_LB42), 41761, 41900, CAM_GW1P_SET_C_Tetra_HiSpeed_2124p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_132_LTE_LB42), 41901, 42616, CAM_GW1P_SET_C_Tetra_HiSpeed_2054p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_132_LTE_LB42), 42617, 42878, CAM_GW1P_SET_C_Tetra_HiSpeed_2124p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_132_LTE_LB42), 42879, 43472, CAM_GW1P_SET_C_Tetra_HiSpeed_2054p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_132_LTE_LB42), 43473, 43589, CAM_GW1P_SET_C_Tetra_HiSpeed_2124p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_138_LTE_LB48), 55240, 55622, CAM_GW1P_SET_C_Tetra_HiSpeed_2054p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_138_LTE_LB48), 55623, 55762, CAM_GW1P_SET_C_Tetra_HiSpeed_2124p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_138_LTE_LB48), 55763, 56355, CAM_GW1P_SET_C_Tetra_HiSpeed_2054p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_138_LTE_LB48), 56356, 56618, CAM_GW1P_SET_C_Tetra_HiSpeed_2124p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_138_LTE_LB48), 56619, 56739, CAM_GW1P_SET_C_Tetra_HiSpeed_2054p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_156_LTE_LB66), 66436, 66665, CAM_GW1P_SET_C_Tetra_HiSpeed_2054p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_156_LTE_LB66), 66666, 66805, CAM_GW1P_SET_C_Tetra_HiSpeed_2124p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_156_LTE_LB66), 66806, 67277, CAM_GW1P_SET_C_Tetra_HiSpeed_2054p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_156_LTE_LB66), 67278, 67335, CAM_GW1P_SET_C_Tetra_HiSpeed_2124p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_3_LTE, CAM_BAND_161_LTE_LB71), 68586, 68935, CAM_GW1P_SET_C_Tetra_HiSpeed_2054p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_4_TDSCDMA, CAM_BAND_051_TDSCDMA_TD1), 0, 0, CAM_GW1P_SET_C_Tetra_HiSpeed_2054p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_4_TDSCDMA, CAM_BAND_052_TDSCDMA_TD2), 0, 0, CAM_GW1P_SET_C_Tetra_HiSpeed_2124p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_4_TDSCDMA, CAM_BAND_053_TDSCDMA_TD3), 0, 0, CAM_GW1P_SET_C_Tetra_HiSpeed_2124p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_4_TDSCDMA, CAM_BAND_054_TDSCDMA_TD4), 0, 0, CAM_GW1P_SET_C_Tetra_HiSpeed_2054p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_4_TDSCDMA, CAM_BAND_055_TDSCDMA_TD5), 0, 0, CAM_GW1P_SET_C_Tetra_HiSpeed_2124p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_4_TDSCDMA, CAM_BAND_056_TDSCDMA_TD6), 0, 0, CAM_GW1P_SET_C_Tetra_HiSpeed_2124p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_5_CDMA, CAM_BAND_061_CDMA_BC0), 0, 0, CAM_GW1P_SET_C_Tetra_HiSpeed_2124p8_MHZ },
{ CAM_RAT_BAND(CAM_RAT_5_CDMA, CAM_BAND_062_CDMA_BC1), 0, 0, CAM_GW1P_SET_C_Tetra_HiSpeed_2054p4_MHZ },
{ CAM_RAT_BAND(CAM_RAT_5_CDMA, CAM_BAND_071_CDMA_BC10), 0, 0, CAM_GW1P_SET_C_Tetra_HiSpeed_2054p4_MHZ },
};

static const struct cam_mipi_sensor_mode sensor_s5kgw1p_setfile_C_mipi_sensor_mode[] = {
    {
        sensor_s5kgw1p_setfile_C_channel,	ARRAY_SIZE(sensor_s5kgw1p_setfile_C_channel),
        sensor_s5kgw1p_setfile_C_mipi_setting,	ARRAY_SIZE(sensor_s5kgw1p_setfile_C_mipi_setting)
    },
};

#endif /* _CAM_SENSOR_ADAPTIVE_MIPI_S5KGW1P_H_ */
